Uploaded image for project: 'phpBB3'
  1. phpBB3
  2. PHPBB3-15705

phpbbcli language parse error in PHP <= 5.5.38

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed (View Workflow)
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: 3.3.0-a1, 3.2.3-RC1
    • Fix Version/s: 3.2.4-RC1
    • Component/s: CLI
    • Labels:

      Description

      Attempting to reparse posts or everything using the CLI and a PHP version less than 5.5.38 (which I tested it's true) throws an error and "de facto" denies the reparser to run.

      Parse eror: syntax error, unexpected '[' in /home/www/...forum/bin/phpbbcli.php on line 76

      Ref.: former fix.. https://github.com/phpbb/phpbb/commit/b5e850b6df703a97f654f92cea9143754c3086b8

      support issue:

      https://www.phpbb.com/customise/db/extension/mathjax_2/support/topic/193236?p=639351#p639351

      and the follower.

       

      I have the new fix ready, I will push it soon.

       

       

        Attachments

          Activity

            People

            • Assignee:
              nicofuma nicofuma
              Reporter:
              3Di 3Di
            • Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: